import java.math.*;
import com.ibm.as400.access.*;
import com.ibm.connector.as400.ProgramCallBean;
import com.ibm.connector2.iseries.pgmcall.ProgramCallRecord;
import com.ibm.connector2.iseries.pgmcall.ProgramCallStruct;

public class PLACEORD extends ProgramCallBean
{

	public PLACEORD() {
		super();
		setPcmlName("PLACEORD");
		setProgramName("PLACEORD");
		_OrdItemAr_Struct = new Orditems_Struct(this, "PLACEORD.OrdItemAr");
	}
	public PLACEORD(String jndiName) {
		super(jndiName);
		setPcmlName("PLACEORD");
		setProgramName("PLACEORD");
		_OrdItemAr_Struct = new Orditems_Struct(this, "PLACEORD.OrdItemAr");
	}

	public BigDecimal getRetCode() {
		return (BigDecimal) getValue(_strParentField + ".RetCode");
	}

	public void setNumOfItems(BigDecimal NumOfItems) {
		setValue(_strParentField + ".NumOfItems", NumOfItems);
	}

	public Orditems_Struct getOrdItemAr(int idxStruct) {
		_OrdItemAr_Struct.setIndex(idxStruct);
		return _OrdItemAr_Struct;
	}

	public void setBalance(BigDecimal balance) {
		setValue(_strParentField + ".balance", balance);
	}



    /**
     * Invoke the host program
     * The connection data, i.e. host information, must be set.
     * All the input parameter must be set.
     *
     */
    public void invoke()
    {
      super.invoke();
    }

    /**
     * Set up the connection data.
     *
     * @param as400Obj AS400 an existing instance of AS400Object
     */
    public void setConnectionData( AS400 as400Obj )
    {
      super.setConnectionData( as400Obj );
    }

    /**
     * Set up the connection data.
     * To display the sign-on prompt, 
     * pass empty string, "", to the parameter(s).
     *
     * @param hostname String iSeries hostname
     * @param userid   String user id
     * @param passwd   String password
     */
    public void setConnectionData( String hostname, String userid, String passwd )
    {
      super.setConnectionData(hostname, userid, passwd );
    }

    /**
     * Get the AS400 object
     *
     * @return AS400 AS400 object for the current connection
     */
    public AS400 getAS400Object( )
    {
      return super.getAS400Object();
    }

    /**
     * Add library list
     *
     * @param liblist  String[] library list
     */
    public void setLibraryList( String[] liblist )
    {
      super.setLibraryList(liblist);
    }

    /**
     * Disconnect the iSeries connection
     *
     */
    public void disconnect( )
    {
      super.disconnect();
    }

    /**
     * Enable Pcml trace
     *
     */
    public void setTraceEnabled( boolean bEnabled )
    {
      super.setTraceEnabled(bEnabled);
    }



    public class Orditems_Struct extends ProgramCallStruct
    {

		public void setItemNo(BigDecimal ItemNo) {
			setValue(_strParentField + ".ItemNo", getFullIndices(), ItemNo);
		}
		public void setQuantity(BigDecimal Quantity) {
			setValue(_strParentField + ".Quantity", getFullIndices(), Quantity);
		}
		public void setSizeOrd(String SizeOrd) {
			setValue(_strParentField + ".SizeOrd", getFullIndices(), SizeOrd);
		}

		public Orditems_Struct(
			ProgramCallRecord parent,
			String strParentField) {
			super(parent);
			_strParentField = strParentField;
		}

		private ProgramCallRecord _parentPgmCallRecord = null;
		private String _strParentField = "";


	}
	private Orditems_Struct _OrdItemAr_Struct = null;

	private String _strParentField = "PLACEORD";
}
